Unable to export pool or update

orko9696

Cadet
Joined
Feb 24, 2024
Messages
1
Hi,
Im repeatedly failing to upgrade or export the pool.

Here are the error logs.

Error: Traceback (most recent call last):
File "/usr/local/lib/python3.9/site-packages/middlewared/plugins/update_/install_freebsd.py", line 28, in install_impl
new_manifest.LoadPath('{}/MANIFEST'.format(location))
File "/usr/local/lib/freenasOS/Manifest.py", line 239, in LoadPath
with open(path, "rb") as f:
FileNotFoundError: [Errno 2] No such file or directory: '/mnt/Main/.update/MANIFEST'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.9/site-packages/middlewared/job.py", line 355, in run
await self.future
File "/usr/local/lib/python3.9/site-packages/middlewared/job.py", line 391, in __run_body
rv = await self.method(*([self] + args))
File "/usr/local/lib/python3.9/site-packages/middlewared/schema.py", line 981, in nf
return await f(*args, **kwargs)
File "/usr/local/lib/python3.9/site-packages/middlewared/plugins/update.py", line 389, in file
await self.middleware.call('update.install_manual_impl', job, destfile, dest_extracted)
File "/usr/local/lib/python3.9/site-packages/middlewared/main.py", line 1279, in call
return await self._call(
File "/usr/local/lib/python3.9/site-packages/middlewared/main.py", line 1247, in _call
return await self.run_in_executor(prepared_call.executor, methodobj, *prepared_call.args)
File "/usr/local/lib/python3.9/site-packages/middlewared/main.py", line 1152, in run_in_executor
return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
File "/usr/local/lib/python3.9/concurrent/futures/thread.py", line 58, in run
result = self.fn(*self.args, **self.kwargs)




File "/usr/local/lib/python3.9/site-packages/middlewared/plugins/update_/install_freebsd.py", line 72, in install_manual_impl
if self.install_impl(job, dest_extracted) is None:
File "/usr/local/lib/python3.9/site-packages/middlewared/plugins/update_/install_freebsd.py", line 30, in install_impl
raise CallError('Uploaded file is not a manual update file')
middlewared.service_exception.CallError: [EFAULT] Uploaded file is not a manual update file
 

Attachments

  • Screenshot 2024-02-24 222838.png
    Screenshot 2024-02-24 222838.png
    206.5 KB · Views: 29

artlessknave

Wizard
Joined
Oct 29, 2016
Messages
1,506
#1. hardware info.
#2. i do not understand what you are trying to do. the error doesn't make a lot of sense without more context.
are you trying to upgrade the OS?
upgrade the pool?
why are you exporting it?
 
Top